datablock AudioProfile(Notify)
{
	fileName = "./notify.wav";
	description = AudioClosest3d;
        is3d = true;
	preload = true;
};

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	if(!$RTB::RTBR_ServerControl_Hook)
	{
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	}
	RTB_registerPref("Loop Time","Auto Announcement","$Announce::LoopTime","int 1 1440","Server_AutoAnnounce",30,0,0);
        RTB_registerPref("Announcement","Auto Announcement","$Pref::Server::AutoAnnounce","string 200","Server_AutoAnnounce","",0,0);
}
else
{
   $Pref::Server::AutoAnnounce = "";
}

function AnnounceTime_Loop()
{
	cancel($AnnounceTime::Loop);
	if($Announce::LoopTime < 1)
	{
	    $Announce::LoopTime = 1;
        }
            $AnnounceTime::Loop = schedule($Announce::LoopTime * 60000,0,"AnnounceTime_Loop");
            %aamsg = $Pref::Server::AutoAnnounce;
            messageAll('',"\c2" @ %aamsg);
            for(%i = 0; %i < ClientGroup.getCount(); %i++)
		{
			%cl = ClientGroup.getObject(%i);
			%cl.play2D(Notify);
		}
}

function serverCmdStartAA(%client)
{
	if(%client.isSuperAdmin)
	{
		$AnounceTime::Loop = schedule($Announce::LoopTime * 60000,0,"AnnounceTime_Loop");
		messageAll('',"\c2" @ %client.getPlayerName() @ "\c6 has \c3enabled \c6Auto Announcements.");
	}
	else
	{
		messageClient(%client,'',"\c3Only \c2Super Admins\c3 may start the auto announcer.");
	}
}

function serverCmdStopAA(%client)
{
        if(%client.isSuperAdmin)
        {
                cancel($AnnounceTime::Loop);
	        messageAll('',"\c2" @ %client.getPlayerName() @ "\c6 has \c3disabled \c6Auto Announcements.");
        }
        else
        {
                messageClient(%client,'',"\c3Only \c2Super Admins\c3 may stop the auto announcer.");
        }
}

function serverCmdSetAAMsg(%client, %c1, %c2, %c3, %c4, %c5, %c6, %c7, %c8, %c9, %c10, %c11, %c12, %c13, %c14, %c15, %c16, %c17, %c18, %c19, %c20)
{
	if(%client.isSuperAdmin)
	{
		%amsg = "" @ %c1 SPC %c2 SPC %c3 SPC %c4 SPC %c5 SPC %c6 SPC %c7 SPC %c8 SPC %c9 SPC %c10 SPC %c11 SPC %c12 SPC %c13 SPC %c14 SPC %c15 SPC %c16 SPC %c17 SPC %c18 SPC %c19 SPC %c20;
		messageClient(%client,'',"\c3Announcement is now:\c6" SPC %amsg);
		$Pref::Server::AutoAnnounce = %amsg;
	}
}
